package org.apache.commons.lang3;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.commons.lang3.ThreadUtils;
import org.apache.commons.lang3.Validate;

public class NamePredicate implements ThreadUtils.ThreadPredicate, ThreadUtils.ThreadGroupPredicate {
  private final String name;
  
  public NamePredicate(String name) {
    Validate.notNull(name, "name", new Object[0]);
    this.name = name;
  }
  
  public boolean test(Thread thread) {
    return (thread != null && thread.getName().equals(this.name));
  }
  
  public boolean test(ThreadGroup threadGroup) {
    return (threadGroup != null && threadGroup.getName().equals(this.name));
  }
}
